--
-- NOTE:
--
-- File paths need to be edited. Search for $$PATH$$ and
-- replace it with the path to the directory containing
-- the extracted data files.
--
--
-- PostgreSQL database dump
--

-- Dumped from database version 13.2 (Debian 13.2-1.pgdg100+1)
-- Dumped by pg_dump version 13.4

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

DROP DATABASE mobilitydb;
--
-- Name: mobilitydb; Type: DATABASE; Schema: -; Owner: docker
--

CREATE DATABASE mobilitydb WITH TEMPLATE = template0 ENCODING = 'UTF8' LOCALE = 'en_US.utf8';


ALTER DATABASE mobilitydb OWNER TO docker;

\connect mobilitydb

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

SET default_tablespace = '';

SET default_table_access_method = heap;

--
-- Name: exemple; Type: TABLE; Schema: public; Owner: docker
--

CREATE TABLE public.exemple (
    mmsi bigint NOT NULL,
    trip public.tgeompoint,
    traj public.geometry
);


ALTER TABLE public.exemple OWNER TO docker;

--
-- Data for Name: exemple; Type: TABLE DATA; Schema: public; Owner: docker
--

COPY public.exemple (mmsi, trip, traj) FROM stdin;
\.
COPY public.exemple (mmsi, trip, traj) FROM '$$PATH$$/7317.dat';

--
-- Name: exemple exemple_pkey; Type: CONSTRAINT; Schema: public; Owner: docker
--

ALTER TABLE ONLY public.exemple
    ADD CONSTRAINT exemple_pkey PRIMARY KEY (mmsi);


--
-- PostgreSQL database dump complete
--

